# Dummy HDP Dataset
hdp <- readr::read_csv(testthat::test_path("fixtures","hdp_example.csv")) %>%
    sf::st_as_sf(coords = c("usa_lat","usa_lon"), crs = 4326) %>%
    dplyr::mutate(iso_time = lubridate::mdy_hm(iso_time)) %>%
    dplyr::mutate(usa_status = dplyr::if_else(
        usa_sshs == 0, "TS", "HU"
    ))
saveRDS(hdp, testthat::test_path("fixtures", "hdp.rds"))