add_rle <- function(data, ...){
    args <- rlang::enquos(...)
    data %>%
        tidyr::unite(rle, !!!args, remove = FALSE) %>%
        dplyr::mutate(rle = hipwits::rle_encode(rle)) %>%
        dplyr::group_by(!!!args, rle)
}